---
layout: docs
page_title: lease lookup - Command
description: |-
  The "lease lookup" command retrieves information about a lease.
---

# lease lookup

The `lease lookup` command retrieves information on the lease of a secret.

Every secret in Vault has a lease associated with it. Users can look up
information on the lease by referencing the lease ID.

## Examples

Lookup a lease:

```shell-session
$ vault lease lookup database/creds/readonly/27e1b9a1-27b8-83d9-9fe0-d99d786bdc83
Key             Value
---             -----
expire_time     2021-03-17T11:55:50.755313-05:00
id              database/creds/readonly/27e1b9a1-27b8-83d9-9fe0-d99d786bdc83
issue_time      2021-03-17T11:45:50.755312-05:00
last_renewal    <nil>
renewable       true
ttl             9m52s
```

## Usage

There are no flags beyond the [standard set of flags](/vault/docs/commands)
included on all commands.
